Package org.apache.wiki

## Class InternalWikiException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.wiki.InternalWikiException

All Implemented Interfaces:
  `java.io.Serializable`

    public class InternalWikiException
    extends java.lang.RuntimeException

Denotes something really serious going on inside Wiki. It is a runtime exception so that the API does not need to be changed, but it's helluva lot better than NullPointerException =).

Since:
  1.6.9
See Also:
  Serialized Form

### Constructor Summary

Constructors
`InternalWikiException​(java.lang.String msg)` Create a new InternalWikiException.
`InternalWikiException​(java.lang.String message, java.lang.Throwable cause)`
`InternalWikiException​(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InternalWikiException

    public InternalWikiException​(java.lang.String msg)

Create a new InternalWikiException.

Parameters:
  `msg` - The Exception message.

#### InternalWikiException

    public InternalWikiException​(java.lang.String message,
                                 java.lang.Throwable cause)

#### InternalWikiException

    public InternalWikiException​(java.lang.Throwable cause)